Istores API Documentation
MyIstores Api

Customers

Endpoint:https://api.istores.co.il

List Customers


List of customers

POST
https://api.istores.co.il
/customers

Get list of customers with filters

List of customersRequest Body

  • limitnumber · int64

    The limit of the results return - can be between 0 and 100

    Example: 15
    Default: 10
  • pagenumber · int64

    The page/index of the results related to the result number

    Example: 2
    Default: 0
  • searchstring

    Search the customers by name or email - case sensitive

    Example: Jhon
  • directionstring · enum

    The direction of return results by the customer creation date

    Enum values:
    desc
    asc

List of customersResponses

  • customer_idnumber · int64

    Customer unique id - use to delete/get/edit customer

    Example: 123
  • customer_group_idnumber · int64

    Customer group id

    Example: 23
  • namestring

    Full customer name

    Example: Jhon Doe
  • emailstring · email

    Customers email

  • telephonestring

    Customer`s phone

    Example: 0544884654
  • date_addedstring · date

    Date customer added or registered

  • addressesobject[]

Customer create

POST
https://api.istores.co.il
/customer

Create single customer

Customer createRequest Body

  • firstnamestring

    Customer first name

    Example: Jhon
  • lastnamestring

    Customer last name

    Example: Doe
  • emailstring

    Customers email

  • telephonestring

    Customers telephone

    Example: 0544884547
  • passwordstring

    Password that will be related to this customer to login to the store (If you dont want to change password dont pass this and confirm field)

    Example: 12345678
  • confirmstring

    Password confirmation

    Example: 12345678
  • responder_listnumber · int64

    Responder list id for subscription to newsletter

    Example: 3221
  • newsletterinteger · enum

    Subscribe to or unsubscribe from the newsletter specified in responder_list

    Enum values:
    0
    1
  • addressobject

    Object of the main address will be related to the new customer

Customer createResponses

Success

No data returned

Customer details

GET
https://api.istores.co.il
/customer/{customer_id}

Get customer details by its id

Customer detailspath Parameters

  • customer_idinteger · required

    Customer id

Customer detailsResponses

In case of succes return single customer`s details

  • customer_idnumber · int64

    Customer unique id - use to delete/get/edit customer

    Example: 123
  • customer_group_idnumber · int64

    Customer group id

    Example: 23
  • namestring

    Full customer name

    Example: Jhon Doe
  • emailstring · email

    Customers email

  • telephonestring

    Customer`s phone

    Example: 0544884654
  • date_addedstring · date

    Date customer added or registered

  • addressesobject[]

list of customers

PUT
https://api.istores.co.il
/customer/{customer_id}

Edit exist customer

list of customerspath Parameters

  • customer_idinteger · required

    Customer id

list of customersRequest Body

  • firstnamestring

    Customer first name

    Example: Jhon
  • lastnamestring

    Customer last name

    Example: Doe
  • emailstring

    Customers email

  • telephonestring

    Customers telephone

    Example: 0544884547
  • passwordstring

    Password that will be related to this customer to login to the store (If you dont want to change password dont pass this and confirm field)

    Example: 12345678
  • confirmstring

    Password confirmation

    Example: 12345678
  • responder_listnumber · int64

    Responder list id for subscription to newsletter

    Example: 3221
  • newsletterinteger · enum

    Subscribe to or unsubscribe from the newsletter specified in responder_list

    Enum values:
    0
    1
  • addressobject

    Object of the main address will be related to the new customer

list of customersResponses

Success

No data returned

Delete customer

DELETE
https://api.istores.co.il
/customer/{customer_id}

Delete customer by its id

Delete customerpath Parameters

  • customer_idinteger · required

    Customer id

Delete customerResponses

Success

No data returned